com.jscape.inet.sftp

## Class SftpConfiguration

- java.lang.Object
- - com.jscape.inet.sftp.SftpConfiguration

-     public class SftpConfiguration
      extends java.lang.Object

  A SFTP configuration. Holds various SFTP-specific parameters.
  Author:
    Alex Usun

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `SshConfiguration` | `sshConfiguration`
    `boolean` | `subsystemResponseRequired`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SftpConfiguration(SshConfiguration sshConfiguration, boolean subsystemResponseRequired)` Creates a new configuration instance.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SftpConfiguration` | `defaultConfiguration()` Returns a configuration instance with default parameters.
    `static SftpConfiguration` | `defaultConfiguration(java.lang.String softwareVersion)` Returns a configuration instance with default parameters.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sshConfiguration

          public SshConfiguration sshConfiguration

    - #### subsystemResponseRequired

          public boolean subsystemResponseRequired

  - ### Constructor Detail

    - #### SftpConfiguration

          public SftpConfiguration(SshConfiguration sshConfiguration,
                                   boolean subsystemResponseRequired)

      Creates a new configuration instance.
      Parameters:
        `sshConfiguration` - a SSH configuration
        `subsystemResponseRequired` - a sub-system response required flag

  - ### Method Detail

    - #### defaultConfiguration

          public static SftpConfiguration defaultConfiguration(java.lang.String softwareVersion)

      Returns a configuration instance with default parameters.
      Parameters:
        `softwareVersion` - a software version
      Returns:
        a configuration instance

    - #### defaultConfiguration

          public static SftpConfiguration defaultConfiguration()

      Returns a configuration instance with default parameters.
      Returns:
        a configuration instance

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved